RK-A2 - Feature #3633

Support for crud-ds cloud function

06/26/2024 04:46 AM - Ram Kordale

Status: Review
Priority: High
Assignee: Md Shahzar
Category:

Target version:

Start date:
Due date:

% Done:

Estimated time:

Spent time:

06/26/2024

100%
2.00 hours
0.00 hour

Description

name: crud-ds
arguments:

"kind": "<kind>",
"op-type": "<op-type>",
"<kind>-key": "<value>",

"<kind>-<name1>": "<valuei>",

"<kind>-<name2>": "<value2>",

If <op-type> is cu, update datastore kind <kind> entry with key <key> if it exists; else create.

If <op-type> is d, delete datastore kind <kind> entry with key <key> if it exists.

If <op-type> is r or cu or d, return entry from datastore kind <kind> entry with key <key> if it exists; else say not found.

For this ticket, test should use:
-profile for <kind>

-email-id for <key>

-other for <name>

Example: {

"kind": "profile",

"profile-key": "abc@xyz.com",
"profile-other": "pirate#$%usd#$%3.99"

}

History

#1 - 06/26/2024 05:35 AM - Md Shahzar
- Estimated time set to 2.00 h

#2 - 06/26/2024 09:16 AM - Shubham Boke

- Status changed from New to In Progress

#3 - 06/26/2024 10:10 AM - Ram Kordale

- Description updated

#4 - 06/26/2024 11:34 AM - Shubham Boke
- % Done changed from 0 to 70

#5 - 06/26/2024 01:06 PM - Shubham Boke
- % Done changed from 70 to 100

#6 - 06/26/2024 01:32 PM - Shubham Boke

- Status changed from In Progress to Resolved

#7 - 06/26/2024 01:32 PM - Shubham Boke

- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

04/01/2025
#8 - 08/29/2024 07:25 AM - Dewakar Chaubey
- Assignee changed from Dewakar Chaubey to Md Shahzar
